Documentation Index

Fetch the complete documentation index at: https://documents.trocco.io/llms.txt

Use this file to discover all available pages before exploring further.

dbtジョブ設定一覧取得

Prev Next
Get
/api/dbt_job_definitions

dbtジョブ設定の一覧を取得します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Query parameters
limit
integer (int64)

取得するdbtジョブ設定の最大件数

Maximum200
Default50
cursor
string

取得するdbtジョブ設定一覧の最初のレコードを示すページネーションカーソル
レスポンスに含まれるnext_cursorをセットすると、後続のdbtジョブ設定一覧を取得できます。

ExampleeyJpZCI6MjF9
Responses
200

dbtジョブ設定の一覧を返します。

Expand All
object
items
Array of object
object
id
integer (int64)

dbtジョブ設定ID

Example1
name
string

dbtジョブ設定名

Max length255
Examplesample_dbt_job
description
string | null

メモ

Exampleサンプルジョブ
resource_group_id
integer (int64) | null

リソースグループID

Example1
adapter_type
string

アダプタータイプ

Valid values[ "bigquery", "snowflake", "redshift" ]
Examplebigquery
dbt_git_repository_id
integer (int64) | null

dbt GitリポジトリID

Example1
threads
integer

並列実行スレッド数

Minimum1
Maximum16
Example1
target
string

dbt profileのtarget名

Exampletrocco_default
created_at
string

作成日時

Example2026-05-19T18:00:00+00:00
updated_at
string

更新日時

Example2026-05-19T18:00:00+00:00
created_by
object | null

作成ユーザー

id
integer (int64)

ユーザーID

Example1
email
string

メールアドレス

Exampleuser@example.com
next_cursor
string

後続のページネーションリクエストの取得開始レコードを示すカーソル値です。

400

/api系の共通エラーレスポンス

object
message
string
Example不正なリクエストです。
401

認証エラー

object
message
string
Exampleアカウント登録もしくはログインしてください。